#
# spec file for package rubygem-best_in_place
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-best_in_place
Version:        3.1.1
Release:        1.6
%define mod_name best_in_place
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/bernat/best_in_place
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        It makes any field in place editable by clicking on it, it works for
License:        MIT
Group:          Development/Languages/Ruby

%description
BestInPlace is a jQuery script and a Rails helper that provide the method
best_in_place to display
any object field easily editable for the user by just clicking on it. It
supports input data,
text data, boolean data and custom dropdown data. It works with RESTful
controllers.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Tue May 23 2017 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGELOG.md
  - v.3.1.1
  - Chore/improve readme
  - Upgrade PhantomJS version for travis and remove deprecation warning
  - Add Tests in Rails 5+
  - Bump ruby version support
  - Fix markdown rendering of headings
  - Fix README markdown preview
  - Add a best_in_place:before-update event
* Wed Dec  2 2015 coolo@suse.com
- updated to version 3.1.0
  see installed CHANGELOG.md
  - unreleased
  - add option[:skip_blur] to play nice with wysiwhtml5
* Mon Feb  9 2015 coolo@suse.com
- updated to version 3.0.3
  - Pass all callback arguments on $.ajax
  - v.3.0.0 :
  - Expect syntax for spec
  - Deprecated option[:path] in favor of option[:url]
  - Deprecated option[:nil] in favor of option[:place_holder]
  - Deprecated option[:classes] in favor of option[:class]
  - Deprecated opts[:object_name] in favor of option[:as]
  - Deprecated opts[:use_confirm] in favor of option[:confirm]
  - Deprecated Elastic jQuery plugin in favor of jQuery Autosize
  - Fixed bug in jquery.purr
  - Support all supported version of actionpack/rails
  - Dropped dependency on jquery gem
  - Namespaced all data attributes to avoid conflict.
  - Jquery-ui datepicker was extracted to best_in_place.jquery-ui.js
  - Added BestInPlaceEditor.defaults
  - Deprecated opts[:sanitize] in favor of option[:raw]
  - You have to require jquery.purr  before best_in_place.purr
  - You have to require jquery-ui.datepicker  before best_in_place.jquery-ui
  - Added opts[:value] to set custom original-value
  - You can override the default container
* Wed May 29 2013 coolo@suse.com
- updated to version 2.1.0
* Fri Jan 25 2013 coolo@suse.com
- updated to version 2.0.3
* Sat Dec  1 2012 coolo@suse.com
- updated to version 2.0.2
* Fri Sep 21 2012 hvogel@suse.com
- Initial package, version 1.1.2
